Bug 806219 - Re-sizing the container in Portal pages does not work correctly
Re-sizing the container in Portal pages does not work correctly
Status: ASSIGNED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.0.GA
All Linux
high Severity high
: ---
: 5.2.x
Assigned To: Default User
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 05:03 EDT by Anurag
Modified: 2018-02-06 14:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
CAUSE: A problem with the resizing logic in {{module/code/something}} caused issues with resizing containers in columns. CONSEQUENCE: Instead of having 2 colums of 30/70, the portlet was taking 30% of the first container, the second one 70% of the container. Additionally, each container takes 50% of the page. FIX: RESULT:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8759 by hfnukal at 2012-07-02 14:04:46 EDT (show)
8759 by hfnukal at 2012-07-02 14:04:46 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 806219 - Re-sizing the container in Portal pages does not work correctly

11 files changed:

  • epp/portal/branches/EPP_5_2_Branch/web/eXoResources/src/main/webapp/javascript/eXo/portal/PortalDragDrop.js (+9 / -3)
  • epp/portal/branches/EPP_5_2_Branch/web/eXoResources/src/main/webapp/javascript/eXo/portal/UIPortal.js (+10 / -7)
  • epp/portal/branches/EPP_5_2_Branch/web/eXoResources/src/main/webapp/skin/DefaultSkin/portal/webui/component/view/UIPortalComponent/Stylesheet.css (+211 / -117)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/groovy/portal/webui/container/UIColumnContainer.gtmpl (+42 / -44)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/groovy/portal/webui/container/UITableAutofitColumnContainer.gtmpl (+45 / -23)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/groovy/portal/webui/container/UITableColumnContainer.gtmpl (+47 / -26)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/uiconf/portal/webui/container/ContainerConfigOption.groovy (+55 / -55)
  • epp/portal/branches/EPP_5_2_Branch/webui/portal/src/main/java/org/exoplatform/portal/webui/container/UIColumnContainer.java (+22 / -86)
  • epp/portal/branches/EPP_5_2_Branch/webui/portal/src/main/java/org/exoplatform/portal/webui/container/UIContainer.java (+1 / -0)
  • epp/portal/branches/EPP_5_2_Branch/webui/portal/src/main/java/org/exoplatform/portal/webui/portal/UIPortalComponentActionListener.java (+76 / -5)
  • epp/portal/branches/EPP_5_2_Branch/webui/portal/src/main/java/org/exoplatform/portal/webui/util/PortalDataMapper.java (+5 / -0)
8764 by hfnukal at 2012-07-03 05:48:58 EDT (show)
8764 by hfnukal at 2012-07-03 05:48:58 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug806219 revert changes

9 files changed:

  • epp/portal/branches/EPP_5_2_Branch/web/eXoResources/src/main/webapp/javascript/eXo/portal/PortalDragDrop.js (+3 / -9)
  • epp/portal/branches/EPP_5_2_Branch/web/eXoResources/src/main/webapp/javascript/eXo/portal/UIPortal.js (+7 / -10)
  • epp/portal/branches/EPP_5_2_Branch/web/eXoResources/src/main/webapp/skin/DefaultSkin/portal/webui/component/view/UIPortalComponent/Stylesheet.css (+117 / -212)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/groovy/portal/webui/container/UIColumnContainer.gtmpl (+44 / -42)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/uiconf/portal/webui/container/ContainerConfigOption.groovy (+1 / -1)
  • epp/portal/branches/EPP_5_2_Branch/webui/portal/src/main/java/org/exoplatform/portal/webui/container/UIColumnContainer.java (+86 / -22)
  • epp/portal/branches/EPP_5_2_Branch/webui/portal/src/main/java/org/exoplatform/portal/webui/container/UIContainer.java (+0 / -1)
  • epp/portal/branches/EPP_5_2_Branch/webui/portal/src/main/java/org/exoplatform/portal/webui/portal/UIPortalComponentActionListener.java (+5 / -76)
  • epp/portal/branches/EPP_5_2_Branch/webui/portal/src/main/java/org/exoplatform/portal/webui/util/PortalDataMapper.java (+0 / -5)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-1040 Minor Closed Resizing the container in Portal pages does not work correctly 2014-07-09 21:43:58 EDT

  None (edit)
Description Anurag 2012-03-23 05:03:49 EDT
Description of problem:


Version-Release number of selected component (if applicable):


Steps to Reproduce:
1. Create a new page
2. Select Columns or Autofit Columns Layout container
3. For first container enter 30%, and second one 70% as width
  
Actual results:

instead of having 2 colums of 30/70, the portlet is taking 30% of the first container, the second one 70% of the container. (and each container takes 50% of the page)

Expected results:

If the left column takes 30% , the right column should fill up the remaining space.
Comment 1 hfnukal@redhat.com 2012-07-31 10:11:44 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Partialy fixed
Comment 2 Jared MORGAN 2012-07-31 21:22:21 EDT
(In reply to comment #1)
>     Technical note added. If any revisions are required, please edit the
> "Technical Notes" field
>     accordingly. All revisions will be proofread by the Engineering Content
> Services team.
>     
>     New Contents:
> Partialy fixed

For release notes, I can create the Cause and Consequence info from the description.

For technical notes completeness, and because this is a customer issue, how was the issue partially fixed?

Something like "The fix implemented changed the behavior of "XXXXX feature" to do this and that, however YYYYY issue still exists"
Comment 3 Jared MORGAN 2012-07-31 21:25:49 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,7 @@
-Partialy fixed+CAUSE: A problem with the resizing logic in {{module/code/something}} caused issues with resizing containers in columns. 
+
+CONSEQUENCE: Instead of having 2 colums of 30/70, the portlet was taking 30% of the first container, the second one 70% of the container. Additionally, each container takes 50% of the page.
+
+FIX: 
+
+RESULT:

Note You need to log in before you can comment on or make changes to this bug.